Subject: bug#28601: 26.0.50; configure: error: Emacs does not support 'x86_64-pc-msys' systems.

From: Noam Postavsky <[email-masked]>
Date: Mon, 16 Oct 2017 10:23:07 -0400

On Mon, Oct 16, 2017 at 4:59 AM, Vincent Belaïche
<[email-masked]> wrote:

> I attached a patch to INSTALL.W64 to collect all the instruction needed
> in my case to install Emacs.

> +In the sequel we denote by c:\MSYS\INSTALL\DIR\msys64 the
> +directory where MSYS2 is installed, e.g. C:\msys64 by default.

I think just using the default C:\msys64 might be clearer than using
this kind of meta-syntax.

> +
> +* Configure your MSWindows PATH variable
> +
>  Then you'll need to add the following directories to your Windows PATH
>  environment variable:
>
> -  c:\msys64\usr\bin;c:\msys64\mingw64\bin
> +  c:\MSYS\INSTALL\DIR\msys64\usr\bin;c:\MSYS\INSTALL\DIR\msys64\mingw64\bin
> +
> +where c:\MSYS\INSTALL\DIR\msys64 depends on your MSYS2 installation,
> +and is c:\msys64 by default.
>
> -you can do this through Control Panel / System and Security / System /
> +You can do this through Control Panel / System and Security / System /
>  Advanced system settings / Environment Variables / Edit path.
>
>  Adding these directories to your PATH tells Emacs where to find the DLLs it
>  needs to run, and some optional commands like grep and find.  These commands
>  will also be available at the Windows console.
>
> +Concerning the find command see also the last step about configuring
> +your init file to get an MSWindows find port.
> +

Actually I never changed my Windows PATH. Running Emacs 25 outside of
the MSYS2 environment complains about not finding libwinpthread-1.dll,
but Emacs 26 works fine. Perhaps we can just remove this section
entirely?

>  ** Download and install the necessary packages

> +       for w in msys/msys2-launcher-git \

Is there some reason you changed to a for loop?

> +** Check your MSYS2 fstab file

Do you mean that your fstab file was broken somehow? I never even
looked at mine.

> +Otherwise, you will need to exit the MINGW64 console and edit your
> +~/.bashrc file, where ~ denote
> +c:\MSYS\INSTALL\DIR\msys64\home\%USERNAME%, to have the correct PATH
> +variable from MSYS/MINGW32/MINGW64 consoles:
> +
> +In this cas, please make sure that ~/.bashrc contains some statement
> +like:

Do you mean you needed to modify your ~/.bashrc to get the correct
PATH under mingw64.exe? It should already be set correctly by
/etc/profile.

Perhaps we can put this under a "Troubleshooting" section at the end.